org.h2gis.functions.spatial.crs

## Class SpatialRefRegistry

- java.lang.Object
- - org.cts.registry.AbstractProjRegistry
  - - org.h2gis.functions.spatial.crs.SpatialRefRegistry

All Implemented Interfaces:
  org.cts.registry.Registry

    public class SpatialRefRegistry
    extends org.cts.registry.AbstractProjRegistry
    implements org.cts.registry.Registry

This class builds a registry based on a spatial_ref_sys table stored in the H2 database.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from class org.cts.registry.AbstractProjRegistry

`projParser`

### Constructor Summary

Constructors
Constructor and Description
`SpatialRefRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `getParameters(String code)`
`String` `getRegistryName()`
`Set<String>` `getSupportedCodes()`
`void` `setConnection(Connection connection)` Set the database connection

### Methods inherited from class org.cts.registry.AbstractProjRegistry

`getCoordinateReferenceSystem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.cts.registry.Registry

`getCoordinateReferenceSystem`

### Constructor Detail

#### SpatialRefRegistry

    public SpatialRefRegistry()

### Method Detail

#### getRegistryName

    public String getRegistryName()

Specified by:
  `getRegistryName` in interface `org.cts.registry.Registry`

#### getParameters

    public Map<String,String> getParameters(String code)
                                     throws org.cts.registry.RegistryException

Specified by:
  `getParameters` in class `org.cts.registry.AbstractProjRegistry`
Throws:
  `org.cts.registry.RegistryException`

#### getSupportedCodes

    public Set<String> getSupportedCodes()
                                  throws org.cts.registry.RegistryException

Specified by:
  `getSupportedCodes` in interface `org.cts.registry.Registry`
Throws:
  `org.cts.registry.RegistryException`

#### setConnection

    public void setConnection(Connection connection)

Set the database connection

Parameters:
  `connection` -